> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whitebit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Worker Names

> List all online workers for a mining account with current status via the WhiteBIT V4 API.



## OpenAPI

````yaml /openapi/private/main_api_v4.yaml POST /api/v4/mining/workers/names
openapi: 3.0.3
info:
  title: WhiteBIT Private HTTP API V4
  description: |
    WhiteBIT Private HTTP API V4 for Main balance changes.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.
  version: 4.0.0
  contact:
    name: WhiteBIT Support
    email: support@whitebit.com
    url: https://whitebit.com
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security:
  - ApiKeyAuth: []
    PayloadAuth: []
    SignatureAuth: []
tags:
  - name: Main Account
    description: Main account balance and operations
  - name: Deposit
    description: Cryptocurrency and fiat deposit operations
  - name: Withdraw
    description: Cryptocurrency and fiat withdrawal operations
  - name: Transfer
    description: Balance transfer operations
  - name: Codes
    description: WhiteBIT codes operations
  - name: Crypto Lending - Fixed
    description: Fixed crypto lending plans
  - name: Crypto Lending - Flex
    description: Flexible crypto lending plans
  - name: Fees
    description: Fee information
  - name: Sub-Account
    description: Sub-account management
  - name: Sub-Account API Keys
    description: Sub-account API key management
  - name: Mining Pool
    description: Mining pool operations
  - name: Credit Line
    description: Credit line information
  - name: JWT
    description: JWT token management
paths:
  /api/v4/mining/workers/names:
    post:
      tags:
        - Mining Pool
      summary: Worker Names
      description: >
        Returns a paginated list of online worker names for a specific mining
        account.

        Results are ordered by worker name ascending (alphabetical).


        The response does not include a `total` field. Detect the last page when

        `data.workers.length < limit`.


        <Warning>

        Rate limit: 1000 requests/10 sec.

        </Warning>
      operationId: getMiningWorkerNames
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - account
              properties:
                account:
                  type: string
                  maxLength: 255
                  description: Mining pool account name
                  example: my_miner_01
                offset:
                  type: integer
                  minimum: 0
                  maximum: 10000
                  default: 0
                  description: Pagination offset
                  example: 0
                limit:
                  type: integer
                  minimum: 1
                  maximum: 100
                  default: 100
                  description: Pagination limit
                  example: 50
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      workers:
                        type: array
                        items:
                          type: string
                  limit:
                    type: integer
                  offset:
                    type: integer
              example:
                data:
                  workers:
                    - worker_001
                    - worker_002
                    - worker_003
                limit: 50
                offset: 0
        '400':
          description: Validation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  message:
                    type: string
                  errors:
                    type: object
              example:
                code: 0
                message: Validation failed
                errors:
                  user:
                    - Mining pool account 'unknown_miner' not found
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: The public WhiteBIT API key.
    PayloadAuth:
      type: apiKey
      in: header
      name: X-TXC-PAYLOAD
      description: Base64-encoded JSON request body.
    SignatureAuth:
      type: apiKey
      in: header
      name: X-TXC-SIGNATURE
      description: >-
        HMAC-SHA512 signature of the payload, hex-encoded. Computed as
        hex(HMAC-SHA512(payload, api_secret)).

````